[https://specifications.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html]


This list is not completely updated so it's not really meaningful now... But it gives some idea.



# Things to check:

Why and how Gnome processes some icons (such as app drawer, or list type), which make buuf's icons appear with wrong colours.

always execute `gtk-update-icon-cache .` before commiting

# places

poi:
light-rail-station, railway-station, school


# actions

# apps

kpat
ksmserver
kweather
libreoffice3-printeradmin.png
mate applets
mdm *

mate (some are already there). Check these:
/usr/share/icons/Suru++-Dark/apps/64/mate-brightness-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-color-manager.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-cpu-frequency-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-desktop-item-edit.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-disk-usage-analyzer.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-eiciel.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-eyes-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-indicator-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-inhibit-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-invest-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-logo.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-netspeed-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-network-properties.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-notification-properties.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-clock.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-drawer.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-fish.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-force-quit.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-launcher.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-notification-area.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-separator.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-window-list.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-window-menu.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel-workspace-switcher.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-panel.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-power-manager.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-power-statistics.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-preferences-desktop-display.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-sensors-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-session-properties.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-sticky-notes-applet.svg
/usr/share/icons/Suru++-Dark/apps/64/mate-system-log.svg
/usr/share/icons/Suru++-Dark/apps/64/mate.svg
/usr/share/icons/Suru++-Dark/apps/64/mateconf-editor.svg
/usr/share/icons/Suru++-Dark/apps/64/matepalimpsest.svg


org.kde:
    accountwizard
    elisa (caset??)
    gcompris (educació)
    kalzium
    kapman (pacman)
    katomic
    kblocks
    kbounce
    kbruch
    kdenlive
    kdiamond
    kgeography (map poi)
    kgoldrunner (golden diamond)
    khangman
    kigo (go)
    killbots
    kiten (japanese?)
    klickety
    klines
    kmix
    kmplot (plot math)
    knavalbattle
    knetwalk
    kolourpaint
    kontact
    krita
    kstars
    ksudoku
    ktpcontactlist ()
    ktuberlink (bear face)
    kubrick (rubik cube)
    kweather
    kwordquiz
    lokalize ("translate")
    okular
    palapeli (puzzle, add-ons?)
    skrooge (a coin)


Osmos, OsmosDemo
ox
oxygen, oxygen-settings
package
panorama
partitionmanager
partner (white circle with white ring on reddish violet background)
pinta (paintbrush and paint)
plank (dock with anchor)
uget


preferences:
    kcalc-constants
    log
    other
    plugin-script
    plugin
    releasenotes
    security-apparmor
    security-firewall
    security-kerberos
    security
    system-backup
    system-bluetooth-inactive
    system-linux
    system-login
    system-network-dsl
    system-network-ethernet
    system-network-scsi
    system-network-ldap
    system-network-nis
    system-network-ntp
    system-network-proxy (-sym)
    system-network-remote
    system-network-server
    system-network-share-windows
    system-network-share
    system-network-sharing
    system-network-vpn
    system-network-wakeonlan
    system-notifications (-symbolic)
    system-power-management
    system-privacy (symbolic)
    system-search (symbolic)
    system-services
    system-sharing (symbolic)
    system-splash
    system-startup
    system-time (-symbolic)
    system-user-sudo
    system-users
    system-windows-actions
    system-windows-move
    virtualization-container

preferences-web-browser
    adblock
    cache
    cookies
    identification
    shortcuts
    ssl
    stylesheets
    
previewer (eye that looks)
ptbatcher (bear with panoramic view)
q4wine
qalculate (-applet)
quassel (world inside blue tube)
quickview (eye)
quiterss
r
radiotray (=radio)
rage (enlightenment video player)
rekonq
remmina-panel (-inverted)
remote (antenna emitting)
ring, -kde
rosegarden
running
samba (refer)
scratch
setroubleshoot_icon 
setroubleshoot_red_icon
shotwell-symbolic
showfoto
skrooge (-initial) (-black)
sludge-engine
softwarecenter-debian, -ubuntu
spectacle
spotify -linux-48x48 -512x512
squeeze
startupm (spanner)
steam
stellarium
step (pendulus)
subversion
superkaramba
supertux
supertuxkart
SUSEgreeter
sweeper
swell-foop
synapse
system-diagnosis
system-help
system-lock-screen
system-config-printer
system-config-samba
system-reboot
tap-create, -extract-to, extract
teamviewer
telepathy (-kde)
thunderbird-symbolic
torcs
timevault
unetbootin
usb
unknownapp
usermount

utilities:
    -desktop-extra
    energy-monitor
    file-archiver
    log-viewer
vlc-kb
vlc-xmas
window-duplicate
window-list
wine-wintricks
WorldOfGoo (-demo)
x
xapp
xaos
xconfig
xemacs
xfce-battery*
xfce4- some
xmag
xonotic
sauerbraten
xorg
xournal
xreader
yakuake
yast*
xterm _32x32 _48x48 -color_*
zanshin
   
# categories
slideshow-symbolic (and not symbolic)

# devices
check optic media, highly improvable (CD-DVD-BR...)
drive-partition
network* link with statuses
different makes of phones??

# emblems
distributor-logo!
see more

# mime-types
all related to office / productivity

# status
ac-adapter (-symbolic)
airplane-mode (-symbolic)
alarm (-symbolic)

blueberry*
aptdaemon...


data-information (i)
data-error (èquics)

display-brightness (-symbolic)
haguichi*

input-caps-on
input-keyboard-virtual-on -off
input-keyboard
input-mouse
input-touchpad-on -off
install
kdeconnect-tray
keybopard-brightness (-symbolic)
keyboard
laptopconnected (disconnected trusted) (smartphone tablet tv)
microphone*
més network*
notification-gsm-*
qbittorrent-tray (-dark, -light)
reshift-status-on -off
rotation-allowed-symbolic -locked-
task*
update-high -medium -low -none
wallet-closed -open
video-display
user-status-pending (-symbolic)
xfpm*
yast-green-dot red yellow
weather-clouds-night
weather-clouds
    -freezing-rain
    -hail
    -many-clouds
    -mist
    -none-available
    -snow-rain
    -snow-scattered-day -night
    -snow-scattered
    -storm-day
    -storm-night
    
    
    
    +all symbolic ones

Check many network manager statuses for different mobile network types (GSM, LTE, EDGE...)

# Possible problems with these symbolic icons in Gnome:

Apparently, if you use an icon with colors Gnome does weird things with them.
I've been able to sort these icon's problems by using dessaturated versions:

places/gnome-main-menu.png
actions/view-grid-symbolic.png
actions/view-list-symbolic.png
actions/view-app-grid-symbolic.png

Also,  these need to be disabled:

actions/view-grid-symbolic.symbolic.png.disabled
actions/view-list-symbolic.symbolic.png.disabled
actions/view-app-grid-symbolic.symbolic.png.disabled
